<?php
require_once 'core/system.php';
echo only_reg();
$header = 'Игнор-лист';
require_once 'core/head.php';


if(isset($_GET['ob'])){
if(mysql_result(mysql_query("SELECT count(id) FROM `ignor` where `kto` = '".$user['id']."' and `kogo` = '".abs(intval($_GET['ob']))."'"),0)==0){
mysql_query("INSERT INTO `ignor` set `kto` = '".$user['id']."', `kogo` = '".abs(intval($_GET['ob']))."'");
echo'<div class="player">Пользователь успешно добавлен в чёрный список!</div>';
}else{
mysql_query("DELETE FROM `ignor` where `kto` = '".$user['id']."' and `kogo` = '".abs(intval($_GET['ob']))."'");
echo'<div class="player">Пользователь успешно удалён из вашего чёрного списка!</div>';
}
}


$spis = mysql_query("SELECT kogo from `ignor` where `kto` = '".$user['id']."' order by `id` desc");
if(mysql_num_rows($spis) == 0){
echo '<div class="player">Список пуст.</div>';
}
while($s = mysql_fetch_assoc($spis)){
$nick = mysql_fetch_assoc(mysql_query("SELECT nick from `user` where id = '".$s['kogo']."' limit 1"));
echo '<div class="player"><a href="/user/'.$s['kogo'].'/">'.$nick['nick'].'</a> [<a href="?ob='.$s['kogo'].'">x</a>]</div>';
}
include_once 'core/foot.php';
?>
</div>
</body>
</html>